#![allow(unused)]
use bevy::prelude::*;
use bevy_rapier2d::prelude::*;

mod game;

const METER: f32 = 120.;

#[derive(States, Debug, Clone, PartialEq, Eq, Hash, Default)]
enum AppState {
    #[default]
    MainMenu,
    InGame,
    GameOver,
}

#[derive(States, Debug, Clone, PartialEq, Eq, Hash, Default)]
enum PausedState {
    Paused,
    #[default]
    Running,
}

fn main() {
    App::new()
        .add_plugins(DefaultPlugins)
        .add_plugins(RapierPhysicsPlugin::<NoUserData>::pixels_per_meter(METER))
        .init_state::<AppState>()
        .init_state::<PausedState>()
        .run();
}
